Bug 41313 - rpm -qi has missing fields
Summary: rpm -qi has missing fields
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-18 17:48 UTC by Olivier Baudron
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-14 09:13:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Olivier Baudron 2001-05-18 17:48:04 UTC
My version of rpm is 4.0.3-0.22
Fields Summary and Description shows (none) for all packages.
Example:
baud:~$ rpm -qi rpm
Name        : rpm                          Relocations: (not relocateable)
Version     : 4.0.3                             Vendor: Red Hat, Inc.
Release     : 0.22                          Build Date: Mon May 14 23:36:37
2001
Install date: Fri May 18 00:20:53 2001      Build Host:
porky.devel.redhat.com
Group       : (none)                        Source RPM:
rpm-4.0.3-0.22.src.rpm
Size        : 5067478                          License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : (none)
Description :
(none)

Comment 1 Jeff Johnson 2001-05-20 12:59:19 UTC
The missing fields are from the specspo package, and indicate that the
corresponding text is untranslated. Verify by running in the C locale.

Either uninstall the specspo package (where the untranslated text is resident)
or arrange for rpm to run in the C locale.

Comment 2 Olivier Baudron 2001-05-20 16:46:46 UTC
I don't have specspo installed, and could not resolve the problem.
Feel free to log on my PC:
~ ssh -l guest baud.dyndns.org
password: guest

Comment 3 Jeff Johnson 2001-05-20 16:49:18 UTC
What does the following say
	export LANG=C
	export LC_ALL=C
	rpm -qi rpm
say?

Comment 4 Olivier Baudron 2001-05-20 16:54:23 UTC
It says the same as above...

Comment 5 Jeff Johnson 2001-05-20 17:04:08 UTC
Do you have a file /etc/rpm/macros.specspo? If so, remove it, and try
the query again. If that doesn't work, reinstall the rpm packages, first
verifying that the tags do, indeed, exist in the package you're installing:
	rpm -qip rpm-*.i386.rpm


Comment 6 Olivier Baudron 2001-05-20 17:16:09 UTC
/etc/rpm/ is empty.
Moreover the fields show none in all packages that I query (installed or not
installed): rpm -qip *.i386.rpm always shows (none).

By the way, I just downgrade to rpm*-4.0.3-0.12.i386 and now it works again!
However rpm*-4.0.3-0.22.i386 does not...

Comment 7 Jeff Johnson 2001-05-20 17:19:03 UTC
Then there's some problem/incompatibility with the i18n routines used
agianst which rpm-4.0.3-0.22 was linked.

Comment 8 Jeff Johnson 2001-05-20 18:06:20 UTC
No, there's a missing return code in intGetEntry, fixed in rpm-4.0.3-0.24.
Thanks
for reporting.


Note You need to log in before you can comment on or make changes to this bug.